import RemoteApi_pb2
try:
  from . import PluginApi
except ImportError:
  import PluginApi

class PIPlotXYSender(object):
	def __init__(self, client):
		self.client_ = client

	def createPlot(self, name, type, id = None):
		msg = RemoteApi_pb2.Command()
		msg.piPlotXY.createPlot.name = name
		msg.piPlotXY.createPlot.type = type
		if id != None:
			msg.piPlotXY.createPlot.suppliedId = id
		return PluginApi.ResponseHandler(self.client_, self.client_.send(msg),
			lambda r: r.piPlotXY.ids[0])
